Does not configure (aleph+omega failed)

Bug #26034 reported by Debian Bug Importer on 2005-11-22
4
Affects Status Importance Assigned to Milestone
tetex-bin (Debian)
Fix Released
Unknown
tetex-bin (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #340279 http://bugs.debian.org/340279

On 22.11.05 Christian Hammers (<email address hidden>) wrote:

Hi,

> tetex-bin prevented my package from beeing build by the autobuilders.
> http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
>
>
> This is a summary of all `failed' messages and warnings:
> `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
>
> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXEkgDcr
>
Could you send us that file?

> Please include this file if you report a bug.
> dpkg: error processing tetex-bin (--configure):
> subprocess post-installation script returned error exit status 1
> dpkg: dependency problems prevent configuration of tetex-extra:
> tetex-extra depends on tetex-bin (>= 2.99); however:
> Package tetex-bin is not configured yet.
> dpkg: error processing tetex-extra (--configure):
> dependency problems - leaving unconfigured
>
Regards,
  Hilmar
--
sigmentation fault

Hello

On 2005-11-22 Hilmar Preusse wrote:
> > tetex-bin prevented my package from beeing build by the autobuilders.
> > http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
> >
> >
> > This is a summary of all `failed' messages and warnings:
> > `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> > `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> > `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
> >
> > fmtutil failed. Output has been stored in
> > /tmp/tetex.postinst.XXEkgDcr
> >
> Could you send us that file?

Sorry, no, the output was from a buildd run and I don't have access to the
buildds. I will try to find a login-able hppa Debian host this evening (or
you could try if you want).

-christian-

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #340279 http://bugs.debian.org/340279

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 22 Nov 2005 12:04:02 +0100
From: Christian Hammers <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: Does not configure (aleph+omega failed)

Package: tetex-bin
Version: 3.0-10.1
Severity: grave

tetex-bin prevented my package from beeing build by the autobuilders.
  http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw

bye,

-christian-

Setting up tetex-bin (3.0-10.1) ...

Creating config file /etc/texmf/fmt.d/01tetex.cnf with new version
Running fmtutil-sys. This may take some time. ...
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
Error: `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
Error: `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
warning: Could not open char translation file `cp227.tcx'.
Error: `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed

###############################################################################
fmtutil-sys: Error! Not all formats have been built successfully.
Visit the log files in directory
  /var/lib/texmf/web2c
for details.
###############################################################################

This is a summary of all `failed' messages and warnings:
`omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
`aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
`pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed

fmtutil failed. Output has been stored in
/tmp/tetex.postinst.XXEkgDcr
Please include this file if you report a bug.
dpkg: error processing tetex-bin (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of tetex-extra:
 tetex-extra depends on tetex-bin (>= 2.99); however:
  Package tetex-bin is not configured yet.
dpkg: error processing tetex-extra (--configure):
 dependency problems - leaving unconfigured

Hi Christian, hi Ryan,

there seems to be a problem on the hppa buildd. Are files in the /tmp
directory that were created during the failed tetex-bin install on
2005-11-22 still available?

Christian Hammers <email address hidden> wrote:

> Package: tetex-bin
> Version: 3.0-10.1
> Severity: grave
>
> tetex-bin prevented my package from beeing build by the autobuilders.
> http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
>
[...]
> Running fmtutil-sys. This may take some time. ...
> warning: Could not open char translation file `cp227.tcx'.
> warning: Could not open char translation file `cp227.tcx'.
> Error: `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> Error: `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> warning: Could not open char translation file `cp227.tcx'.
> Error: `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed

The file cp227.tcx is in tetex-base, which is claimed in the buildd log
to be already installed. The file should be in /usr/share/texmf/web2c,
and I am confident that it is there even on the buildd.

If it was in fact missing, the warning should be given for many more
formats. The fact that is not found only in some cases points to a
hardware or filesystem problem.

> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXEkgDcr

Is this file still available?

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <20051122112613.GA2708@preusse>
Date: Tue, 22 Nov 2005 12:26:13 +0100
From: Hilmar Preusse <email address hidden>
To: Christian Hammers <email address hidden>, <email address hidden>
Subject: Re: Bug#340279: Does not configure (aleph+omega failed)

On 22.11.05 Christian Hammers (<email address hidden>) wrote:

Hi,

> tetex-bin prevented my package from beeing build by the autobuilders.
> http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
>
>
> This is a summary of all `failed' messages and warnings:
> `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
>
> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXEkgDcr
>
Could you send us that file?

> Please include this file if you report a bug.
> dpkg: error processing tetex-bin (--configure):
> subprocess post-installation script returned error exit status 1
> dpkg: dependency problems prevent configuration of tetex-extra:
> tetex-extra depends on tetex-bin (>= 2.99); however:
> Package tetex-bin is not configured yet.
> dpkg: error processing tetex-extra (--configure):
> dependency problems - leaving unconfigured
>
Regards,
  Hilmar
--
sigmentation fault

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 22 Nov 2005 12:35:31 +0100
From: Christian Hammers <email address hidden>
To: Hilmar Preusse <email address hidden>, <email address hidden>
Subject: Re: Bug#340279: Does not configure (aleph+omega failed)

Hello

On 2005-11-22 Hilmar Preusse wrote:
> > tetex-bin prevented my package from beeing build by the autobuilders.
> > http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
> >
> >
> > This is a summary of all `failed' messages and warnings:
> > `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> > `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> > `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
> >
> > fmtutil failed. Output has been stored in
> > /tmp/tetex.postinst.XXEkgDcr
> >
> Could you send us that file?

Sorry, no, the output was from a buildd run and I don't have access to the
buildds. I will try to find a login-able hppa Debian host this evening (or
you could try if you want).

-christian-

Christian Hammers <email address hidden> wrote:

> Hello
>
> On 2005-11-22 Hilmar Preusse wrote:
>> > tetex-bin prevented my package from beeing build by the autobuilders.
>> > http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw
>> >
>> >
>> > This is a summary of all `failed' messages and warnings:
>> > `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
>> > `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
>> > `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
>> >
>> > fmtutil failed. Output has been stored in
>> > /tmp/tetex.postinst.XXEkgDcr
>> >
>> Could you send us that file?
>
> Sorry, no, the output was from a buildd run and I don't have access to the
> buildds. I will try to find a login-able hppa Debian host this evening (or
> you could try if you want).

No need to do that - the problem must be specific to the build daemon.
Otherwise the warning about file cp227.tcx being missing would have been
given for all 9 formats that are built with tetex-base.

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 22 Nov 2005 12:52:57 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: Christian Hammers <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Problem with hppa build environment (was: Bug#340279: Does not
 configure (aleph+omega failed))

Hi Christian, hi Ryan,=20

there seems to be a problem on the hppa buildd. Are files in the /tmp
directory that were created during the failed tetex-bin install on
2005-11-22 still available?

Christian Hammers <email address hidden> wrote:

> Package: tetex-bin
> Version: 3.0-10.1
> Severity: grave
>
> tetex-bin prevented my package from beeing build by the autobuilders.
> http://buildd.debian.org/fetch.php?&pkg=3Dmysql-dfsg-5.0&ver=3D5.0.16-1=
&arch=3Dhppa&stamp=3D1132626014&file=3Dlog&as=3Draw
>
[...]
> Running fmtutil-sys. This may take some time. ...
> warning: Could not open char translation file `cp227.tcx'.
> warning: Could not open char translation file `cp227.tcx'.
> Error: `omega -ini -jobname=3Dlambda -progname=3Dlambda lambda.ini' fail=
ed
> Error: `aleph -ini -jobname=3Dlamed -progname=3Dlamed *lambda.ini' failed
> warning: Could not open char translation file `cp227.tcx'.
> Error: `pdfetex -ini -jobname=3Damstex -progname=3Damstex -translate-fil=
e=3Dcp227.tcx *amstex.ini' failed

The file cp227.tcx is in tetex-base, which is claimed in the buildd log
to be already installed. The file should be in /usr/share/texmf/web2c,
and I am confident that it is there even on the buildd.=20=20

If it was in fact missing, the warning should be given for many more
formats. The fact that is not found only in some cases points to a
hardware or filesystem problem.

> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXEkgDcr

Is this file still available?

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 22 Nov 2005 13:30:14 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: Christian Hammers <email address hidden>
Cc: <email address hidden>, Hilmar Preusse <email address hidden>
Subject: Re: Bug#340279: Does not configure (aleph+omega failed)

Christian Hammers <email address hidden> wrote:

> Hello
>
> On 2005-11-22 Hilmar Preusse wrote:
>> > tetex-bin prevented my package from beeing build by the autobuilders.
>> > http://buildd.debian.org/fetch.php?&pkg=3Dmysql-dfsg-5.0&ver=3D5.0.1=
6-1&arch=3Dhppa&stamp=3D1132626014&file=3Dlog&as=3Draw
>> >=20
>> >=20
>> > This is a summary of all `failed' messages and warnings:
>> > `omega -ini -jobname=3Dlambda -progname=3Dlambda lambda.ini' failed
>> > `aleph -ini -jobname=3Dlamed -progname=3Dlamed *lambda.ini' failed
>> > `pdfetex -ini -jobname=3Damstex -progname=3Damstex -translate-file=3D=
cp227.tcx *amstex.ini' failed
>> >=20
>> > fmtutil failed. Output has been stored in
>> > /tmp/tetex.postinst.XXEkgDcr
>> >=20
>> Could you send us that file?
>
> Sorry, no, the output was from a buildd run and I don't have access to the
> buildds. I will try to find a login-able hppa Debian host this evening (or
> you could try if you want).

No need to do that - the problem must be specific to the build daemon.
Otherwise the warning about file cp227.tcx being missing would have been
given for all 9 formats that are built with tetex-base.

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Hi,

I fear sarti might have problems with the harddisk. In #340279 it has
been reported that mysql-dfsg FTBFS because installing tetex-bin
fails, the buildd log is at

http://buildd.debian.org/fetch.php?&pkg=mysql-dfsg-5.0&ver=5.0.16-1&arch=hppa&stamp=1132626014&file=log&as=raw

The error messages in the log indicate that the file cp227.tcx is both
present and not present. The file is looked for during the creation of
9 TeX formats, and should be found because it is installed by
tetex-base_3.0-10. According to the log, it is not found in only 3 out
of 9 cases. Since the warning is not fatal, it is probably even found
by lamed which is the second format that fails to build. Although the
failure must have a different reason, the file cannot be both present
and not present - or there is a filesystem corruption or harddisk
problem on sarti. If this is true, it is probably also the reason for
the install failure.

Since I have no read access to /var/debbuild, I cannot even check, let
alone fix it. If anybody can access this directory, it would be
interesting to save the file /tmp/tetex.postinst.XXEkgDcr that is
referenced in the buildd log (at least if it isn't completely clear soon
that it is in fact a hardware problem).

TIA, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 22 Nov 2005 15:35:42 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: <email address hidden>, <email address hidden>,
        <email address hidden>
Subject: Disk problems on sarti?

Hi,

I fear sarti might have problems with the harddisk. In #340279 it has
been reported that mysql-dfsg FTBFS because installing tetex-bin
fails, the buildd log is at=20

http://buildd.debian.org/fetch.php?&pkg=3Dmysql-dfsg-5.0&ver=3D5.0.16-1&arc=
h=3Dhppa&stamp=3D1132626014&file=3Dlog&as=3Draw

The error messages in the log indicate that the file cp227.tcx is both
present and not present. The file is looked for during the creation of
9 TeX formats, and should be found because it is installed by
tetex-base_3.0-10. According to the log, it is not found in only 3 out
of 9 cases. Since the warning is not fatal, it is probably even found
by lamed which is the second format that fails to build. Although the
failure must have a different reason, the file cannot be both present
and not present - or there is a filesystem corruption or harddisk
problem on sarti. If this is true, it is probably also the reason for
the install failure.

Since I have no read access to /var/debbuild, I cannot even check, let
alone fix it. If anybody can access this directory, it would be
interesting to save the file /tmp/tetex.postinst.XXEkgDcr that is
referenced in the buildd log (at least if it isn't completely clear soon
that it is in fact a hardware problem).

TIA, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

pe, 2005-11-25 kello 10:16 +0100, Hilmar Preusse kirjoitti:
> Seems to be a container for every failed installation. You didn't
> mean eventually #340279?

Could be it too.

Let's just say that a bug titled "Does not configure (aleph+omega
failed)" doesn't ring a bell, while one titled " fmtutil-sys fails
during package package setup" immediately does.

--
Martin-Éric Racine
http://q-funk.iki.fi

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 25 Nov 2005 11:26:20 +0200
From: =?ISO-8859-1?Q?Martin-=C9ric?= Racine <email address hidden>
To: Hilmar Preusse <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#334613: failed install prevents building of another
 package that has tetex-bin as build-depends

--=-FIC/T/1bzmjUWlTK6Q70
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

pe, 2005-11-25 kello 10:16 +0100, Hilmar Preusse kirjoitti:
> Seems to be a container for every failed installation. You didn't
> mean eventually #340279?

Could be it too.

Let's just say that a bug titled "Does not configure (aleph+omega
failed)" doesn't ring a bell, while one titled " fmtutil-sys fails
during package package setup" immediately does.

--=20
Martin-=C3=89ric Racine
http://q-funk.iki.fi

--=-FIC/T/1bzmjUWlTK6Q70
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Digitaalisesti allekirjoitettu viestin osa

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQBDhti8eXr56x4Muc0RAp2pAKCWaqkVCgU753NAB+cjYmuNq0PwGACfU436
9Ny5cTd1ariM3nAuegsny30=
=uCto
-----END PGP SIGNATURE-----

--=-FIC/T/1bzmjUWlTK6Q70--

Dear Debian admins,

we need your help with that bug (I've already sent you a message
earlier, suspecting hardware problems).

Martin-Éric Racine <email address hidden> wrote:

> Package: tetex-bin
> Version: 3.0-10.1
> Followup-For: Bug #334613

Note that the user mixed things up; it's #340279.

> Failure to install tetex-bin breaks the build-depend requirements of package "planner" on hppa.
> http://buildd.debian.org/fetch.php?&pkg=planner&ver=0.13-3&arch=hppa&stamp=1132846224&file=log&as=raw
> Below is the stderr output:
>
> Setting up tetex-bin (3.0-10.1) ...
>
> Creating config file /etc/texmf/fmt.d/01tetex.cnf with new version
> Running fmtutil-sys. This may take some time. ...
> warning: Could not open char translation file `cp227.tcx'.
> warning: Could not open char translation file `cp227.tcx'.
> Error: `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> Error: `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> warning: Could not open char translation file `cp227.tcx'.
> Error: `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed

This shows that the same formats fail to build that failed with the
original bugreport. So maybe it is in fact not so indeterministic as I
first thought, and not a hardware failure but a real bug. However:

> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXxxXcHb
> Please include this file if you report a bug.

we need these temporary files. Without that there is hardly a chance to
debug this. I just tried that the formats are built fine in paer's sid
chroot, so it doesn't seem to be simple "doesn't work on hppa" thing
(although I obviously couldn't do it as root, but only in my homedir).

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

retitle 340279 fmtutil-sys fails with aleph+omega (on hppa)
thanks

Martin-Éric Racine <email address hidden> wrote:

> pe, 2005-11-25 kello 10:16 +0100, Hilmar Preusse kirjoitti:
>> Seems to be a container for every failed installation. You didn't
>> mean eventually #340279?
>
> Could be it too.
>
> Let's just say that a bug titled "Does not configure (aleph+omega
> failed)" doesn't ring a bell, while one titled " fmtutil-sys fails
> during package package setup" immediately does.

Right; I'm retitling the bug. But you should be aware that the BTS
still seems to have problems with the new versioning system: The bug
you reported to is marked as Done. It should be displayed below
"Resolved Bugs". I fear it will never be archived, if people keep on
posting to it...

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 25 Nov 2005 11:38:34 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: <email address hidden>,
        =?iso-8859-1?q?Martin-=C9ric_Racine?=
 <email address hidden>
Subject: Build problems on sarti (was: Bug#334613: failed install prevents
 building of another package that has tetex-bin as build-depends)

Dear Debian admins,=20

we need your help with that bug (I've already sent you a message
earlier, suspecting hardware problems).

Martin-=C9ric Racine <email address hidden> wrote:

> Package: tetex-bin
> Version: 3.0-10.1
> Followup-For: Bug #334613

Note that the user mixed things up; it's #340279.

> Failure to install tetex-bin breaks the build-depend requirements of pack=
age "planner" on hppa.=20
> http://buildd.debian.org/fetch.php?&pkg=3Dplanner&ver=3D0.13-3&arch=3Dhpp=
a&stamp=3D1132846224&file=3Dlog&as=3Draw
> Below is the stderr output:
>
> Setting up tetex-bin (3.0-10.1) ...
>
> Creating config file /etc/texmf/fmt.d/01tetex.cnf with new version
> Running fmtutil-sys. This may take some time. ...
> warning: Could not open char translation file `cp227.tcx'.
> warning: Could not open char translation file `cp227.tcx'.
> Error: `omega -ini -jobname=3Dlambda -progname=3Dlambda lambda.ini' fail=
ed
> Error: `aleph -ini -jobname=3Dlamed -progname=3Dlamed *lambda.ini' failed
> warning: Could not open char translation file `cp227.tcx'.
> Error: `pdfetex -ini -jobname=3Damstex -progname=3Damstex -translate-fil=
e=3Dcp227.tcx *amstex.ini' failed

This shows that the same formats fail to build that failed with the
original bugreport. So maybe it is in fact not so indeterministic as I
first thought, and not a hardware failure but a real bug. However:

> fmtutil failed. Output has been stored in
> /tmp/tetex.postinst.XXxxXcHb
> Please include this file if you report a bug.

we need these temporary files. Without that there is hardly a chance to
debug this. I just tried that the formats are built fine in paer's sid
chroot, so it doesn't seem to be simple "doesn't work on hppa" thing
(although I obviously couldn't do it as root, but only in my homedir).

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 25 Nov 2005 11:43:06 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: =?iso-8859-1?q?Martin-=C9ric_Racine?= <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#334613: failed install prevents building of another package
 that has tetex-bin as build-depends

retitle 340279 fmtutil-sys fails with aleph+omega (on hppa)
thanks

Martin-=C9ric Racine <email address hidden> wrote:

> pe, 2005-11-25 kello 10:16 +0100, Hilmar Preusse kirjoitti:
>> Seems to be a container for every failed installation. You didn't
>> mean eventually #340279?
>
> Could be it too.
>
> Let's just say that a bug titled "Does not configure (aleph+omega
> failed)" doesn't ring a bell, while one titled " fmtutil-sys fails
> during package package setup" immediately does.

Right; I'm retitling the bug. But you should be aware that the BTS
still seems to have problems with the new versioning system: The bug
you reported to is marked as Done. It should be displayed below
"Resolved Bugs". I fear it will never be archived, if people keep on
posting to it...

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Frank Küster <email address hidden> wrote:

> But you should be aware that the BTS
> still seems to have problems with the new versioning system: The bug
> you reported to is marked as Done. It should be displayed below
> "Resolved Bugs".

I have reported this as #340713.

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 25 Nov 2005 12:30:56 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Cc: =?iso-8859-1?q?Martin-=C9ric_Racine?= <email address hidden>
Subject: Re: Bug#340279: Bug#334613: failed install prevents building of
 another package that has tetex-bin as build-depends

Frank K=FCster <email address hidden> wrote:

> But you should be aware that the BTS
> still seems to have problems with the new versioning system: The bug
> you reported to is marked as Done. It should be displayed below
> "Resolved Bugs".=20=20

I have reported this as #340713.

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

pe, 2005-11-25 kello 11:38 +0100, Frank Küster kirjoitti:
> Dear Debian admins,
>
> we need your help with that bug (I've already sent you a message
> earlier, suspecting hardware problems).
>
> Martin-Éric Racine <email address hidden> wrote:
>
> > Package: tetex-bin
> > Version: 3.0-10.1
> > Followup-For: Bug #334613
>
> Note that the user mixed things up; it's #340279.
>
> > Failure to install tetex-bin breaks the build-depend requirements of package "planner" on hppa.
> > http://buildd.debian.org/fetch.php?&pkg=planner&ver=0.13-3&arch=hppa&stamp=1132846224&file=log&as=raw
> > Below is the stderr output:
> >
> > Setting up tetex-bin (3.0-10.1) ...
> >
> > Creating config file /etc/texmf/fmt.d/01tetex.cnf with new version
> > Running fmtutil-sys. This may take some time. ...
> > warning: Could not open char translation file `cp227.tcx'.
> > warning: Could not open char translation file `cp227.tcx'.
> > Error: `omega -ini -jobname=lambda -progname=lambda lambda.ini' failed
> > Error: `aleph -ini -jobname=lamed -progname=lamed *lambda.ini' failed
> > warning: Could not open char translation file `cp227.tcx'.
> > Error: `pdfetex -ini -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
>
> This shows that the same formats fail to build that failed with the
> original bugreport. So maybe it is in fact not so indeterministic as I
> first thought, and not a hardware failure but a real bug. However:
>
> > fmtutil failed. Output has been stored in
> > /tmp/tetex.postinst.XXxxXcHb
> > Please include this file if you report a bug.
>
> we need these temporary files. Without that there is hardly a chance to
> debug this. I just tried that the formats are built fine in paer's sid
> chroot, so it doesn't seem to be simple "doesn't work on hppa" thing
> (although I obviously couldn't do it as root, but only in my homedir).

I'd like to point out that hppa is the only architecture on which this
build failed, which points to either hppa-specific bugs in tetex-bin or
otherwise to a broken hppa buildd.

--
Martin-Éric Racine
http://q-funk.iki.fi

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 27 Nov 2005 10:36:14 +0200
From: =?ISO-8859-1?Q?Martin-=C9ric?= Racine <email address hidden>
To: Frank =?ISO-8859-1?Q?K=FCster?= <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Build problems on sarti (was: Bug#334613: failed install
 prevents building of another package that has tetex-bin as build-depends)

--=-VYFdyLV4iHKNf0CX/kzM
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

pe, 2005-11-25 kello 11:38 +0100, Frank K=C3=BCster kirjoitti:
> Dear Debian admins,=20
>=20
> we need your help with that bug (I've already sent you a message
> earlier, suspecting hardware problems).
>=20
> Martin-=C3=89ric Racine <email address hidden> wrote:
>=20
> > Package: tetex-bin
> > Version: 3.0-10.1
> > Followup-For: Bug #334613
>=20
> Note that the user mixed things up; it's #340279.
>=20
> > Failure to install tetex-bin breaks the build-depend requirements of pa=
ckage "planner" on hppa.=20
> > http://buildd.debian.org/fetch.php?&pkg=3Dplanner&ver=3D0.13-3&arch=3Dh=
ppa&stamp=3D1132846224&file=3Dlog&as=3Draw
> > Below is the stderr output:
> >
> > Setting up tetex-bin (3.0-10.1) ...
> >
> > Creating config file /etc/texmf/fmt.d/01tetex.cnf with new version
> > Running fmtutil-sys. This may take some time. ...
> > warning: Could not open char translation file `cp227.tcx'.
> > warning: Could not open char translation file `cp227.tcx'.
> > Error: `omega -ini -jobname=3Dlambda -progname=3Dlambda lambda.ini' fa=
iled
> > Error: `aleph -ini -jobname=3Dlamed -progname=3Dlamed *lambda.ini' fai=
led
> > warning: Could not open char translation file `cp227.tcx'.
> > Error: `pdfetex -ini -jobname=3Damstex -progname=3Damstex -translate-f=
ile=3Dcp227.tcx *amstex.ini' failed
>=20
> This shows that the same formats fail to build that failed with the
> original bugreport. So maybe it is in fact not so indeterministic as I
> first thought, and not a hardware failure but a real bug. However:
>=20
> > fmtutil failed. Output has been stored in
> > /tmp/tetex.postinst.XXxxXcHb
> > Please include this file if you report a bug.
>=20
> we need these temporary files. Without that there is hardly a chance to
> debug this. I just tried that the formats are built fine in paer's sid
> chroot, so it doesn't seem to be simple "doesn't work on hppa" thing
> (although I obviously couldn't do it as root, but only in my homedir).

I'd like to point out that hppa is the only architecture on which this
build failed, which points to either hppa-specific bugs in tetex-bin or
otherwise to a broken hppa buildd.

--=20
Martin-=C3=89ric Racine
http://q-funk.iki.fi

--=-VYFdyLV4iHKNf0CX/kzM
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Digitaalisesti allekirjoitettu viestin osa

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQBDiW/9eXr56x4Muc0RAhRsAJoCaikP0rEyw4lqCD9I92G1Bfv6ygCfRa7e
8SZQCkSkU+99yxwlwrQyAcM=
=hSW/
-----END PGP SIGNATURE-----

--=-VYFdyLV4iHKNf0CX/kzM--

Martin-Éric Racine <email address hidden> wrote:

> ma, 2005-11-28 kello 19:22 +0100, Frank Küster kirjoitti:
>> Martin-Éric Racine <email address hidden> wrote:
>>
>> >> A that what you see is not #334613 I again mark is as not found in
>> >> 3.0-10.1.
>> >
>> > Sorry, could you rephrase that?
>>
>> Simply look at
>> http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=pkg&data=tetex-bin&archive=no&version=&dist=unstable
>>
>> The bug you reported your problem to (as a Follow-up for:) has
>> disappeared from the list of Outstanding Grave functionality bugs, and
>> is now listed as the second one under "Resolved bugs - Grave
>> functionality bugs". Whether this was a result of Hilmar's control
>> mail, as he intended, or because the BTS admins fixed it, this I don't
>> know.
>
> What you wrote earlier made it sound like the bug does not apply to
> version 3.0-10.1 yet this is the version reported during the build log.
>
> Or did I misunderstand this?

The bug you reported is *completely* unrelated to #334613. And
*please*, *please* stop sending messages to #334613. #334613 is fixed
in 3.0-10.1

The right bug is #340279, it is still open. All followup messages
should go there.

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 29 Nov 2005 15:54:28 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: =?iso-8859-1?q?Martin-=C9ric_Racine?= <email address hidden>
Cc: <email address hidden>, Hilmar Preusse <email address hidden>
Subject: Re: Bug#334613: failed install prevents building of another package
 that has tetex-bin as build-depends

Martin-=C9ric Racine <email address hidden> wrote:

> ma, 2005-11-28 kello 19:22 +0100, Frank K=FCster kirjoitti:
>> Martin-=C9ric Racine <email address hidden> wrote:
>>=20
>> >> A that what you see is not #334613 I again mark is as not found in
>> >> 3.0-10.1.
>> >
>> > Sorry, could you rephrase that?
>>=20
>> Simply look at
>> http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=3Dpkg&data=3Dtetex-bi=
n&archive=3Dno&version=3D&dist=3Dunstable=20
>>=20
>> The bug you reported your problem to (as a Follow-up for:) has
>> disappeared from the list of Outstanding Grave functionality bugs, and
>> is now listed as the second one under "Resolved bugs - Grave
>> functionality bugs". Whether this was a result of Hilmar's control
>> mail, as he intended, or because the BTS admins fixed it, this I don't
>> know.=20
>
> What you wrote earlier made it sound like the bug does not apply to
> version 3.0-10.1 yet this is the version reported during the build log.
>
> Or did I misunderstand this?

The bug you reported is *completely* unrelated to #334613. And
*please*, *please* stop sending messages to #334613. #334613 is fixed
in 3.0-10.1

The right bug is #340279, it is still open. All followup messages
should go there.

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Hi all,

it seems as if the problems that caused #340279 were either only
intermittent, or have been solved meanwhile: Both planner and
mysql-dfsg-5.0 have been built again in the last couple of days, and in
both cases tetex-bin could be installed fine (although mysql failed for
different reasons).

Do you agree that we can close this bug?

Regards, Frank
--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 05 Dec 2005 13:42:57 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: Christian Hammers <email address hidden>
Cc: <email address hidden>,
        =?iso-8859-1?q?Martin-=C9ric_Racine?=
 <email address hidden>
Subject: Re: Build problems on sarti

Hi all,

it seems as if the problems that caused #340279 were either only
intermittent, or have been solved meanwhile: Both planner and
mysql-dfsg-5.0 have been built again in the last couple of days, and in
both cases tetex-bin could be installed fine (although mysql failed for
different reasons).

Do you agree that we can close this bug?

Regards, Frank
--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

ma, 2005-12-05 kello 13:42 +0100, Frank Küster kirjoitti:

> it seems as if the problems that caused #340279 were either only
> intermittent, or have been solved meanwhile: Both planner and
> mysql-dfsg-5.0 have been built again in the last couple of days, and in
> both cases tetex-bin could be installed fine (although mysql failed for
> different reasons).
>
> Do you agree that we can close this bug?

Fine by me.

--
Martin-Éric Racine
http://q-funk.iki.fi

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 05 Dec 2005 17:08:22 +0200
From: =?ISO-8859-1?Q?Martin-=C9ric?= Racine <email address hidden>
To: Frank =?ISO-8859-1?Q?K=FCster?= <email address hidden>
Cc: Christian Hammers <email address hidden>, <email address hidden>
Subject: Re: Build problems on sarti

ma, 2005-12-05 kello 13:42 +0100, Frank K=C3=BCster kirjoitti:

> it seems as if the problems that caused #340279 were either only
> intermittent, or have been solved meanwhile: Both planner and
> mysql-dfsg-5.0 have been built again in the last couple of days, and in
> both cases tetex-bin could be installed fine (although mysql failed for
> different reasons).
>=20
> Do you agree that we can close this bug?

Fine by me.

--=20
Martin-=C3=89ric Racine
http://q-funk.iki.fi

On 2005-12-05 Frank Küster wrote:
> it seems as if the problems that caused #340279 were either only
> intermittent, or have been solved meanwhile: Both planner and
> mysql-dfsg-5.0 have been built again in the last couple of days, and in
> both cases tetex-bin could be installed fine (although mysql failed for
> different reasons).
>
> Do you agree that we can close this bug?

Fine with me (mysql). I leave the closing to the tetex-bin maintainers,
though.

bye,

-christian-

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 7 Dec 2005 11:04:27 +0100
From: Christian Hammers <email address hidden>
Cc: <email address hidden>
Subject: Re: Build problems on sarti

On 2005-12-05 Frank K=FCster wrote:
> it seems as if the problems that caused #340279 were either only
> intermittent, or have been solved meanwhile: Both planner and
> mysql-dfsg-5.0 have been built again in the last couple of days, and in
> both cases tetex-bin could be installed fine (although mysql failed for
> different reasons).
>=20
> Do you agree that we can close this bug?

Fine with me (mysql). I leave the closing to the tetex-bin maintainers,
though.

bye,

-christian-

Christian Hammers <email address hidden> wrote:

>> Do you agree that we can close this bug?
>
> Fine with me (mysql). I leave the closing to the tetex-bin maintainers,
> though.

--
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 07 Dec 2005 14:03:55 +0100
From: =?iso-8859-1?q?Frank_K=FCster?= <email address hidden>
To: <email address hidden>
Subject: Re: Bug#340279: Build problems on sarti

Christian Hammers <email address hidden> wrote:

>> Do you agree that we can close this bug?
>
> Fine with me (mysql). I leave the closing to the tetex-bin maintainers,
> though.

--=20
Frank K=FCster
Inst. f. Biochemie der Univ. Z=FCrich
Debian Developer

Martin Pitt (pitti) wrote :

fixed in Debian in 3.0-10.1, we have a newer version in Dapper.

Changed in tetex-bin:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.